package Main;

import java.io.FileInputStream;
import java.io.FileReader;
import java.io.IOException;

import javax.swing.JOptionPane;

import trains.persistence.BadFileFormatException;
import trains.persistence.InvalidDataException;
import trains.persistence.binary.*;
import trains.ui.*;

public class Program {
	
	public static void main(String[] args) 
	{
	   WriteBinaryMap bin = new WriteBinaryMap();
	  bin.create();
	   
	try{	
	CityStations cities = new CityStations(new FileInputStream("StationCities.dat")); 
			
	 MyController controller = new MyController(cities, new FileReader("Trains.txt"));	 	
	 TrainFrame frame = new TrainFrame(controller, cities);
		
		frame.setVisible(true);
	}
	catch (IOException e)
	{
		JOptionPane.showMessageDialog(null, "Errore di I/O - impossibile leggere i dati" + e.getMessage());
		//e.printStackTrace();
	}
	catch (BadFileFormatException e)
	{
		JOptionPane.showMessageDialog(null, "Formato del file di testo errato - impossibile leggere i dati"+ e.getMessage());
		//e.printStackTrace();
	}
	catch (InvalidDataException e)
	{
		JOptionPane.showMessageDialog(null, "Formato del file binario errato - impossibile leggere i dati"+ e.getMessage());
		//e.printStackTrace();
	}
		
	}

}
